0

I am running LineageOS 14.1 I want to upgrade the wpa_supplicant so i can connect to my network with Management Frame Protection turned on.

I need to know how to update wpa_supplicant so i can connect to wpa3 when it get released with openwrt 19.01

This connecting to my network with my phone running android 8.1 has no issues connecting to my network with Management Frame Protection turned on.

  • 1
    You need to build wpa_supplicant yourself from latest source, either with ROM or the individual program. Standard source needs some Android specific changes. Or you can build static binary if you need to use from commandline – Irfan Latif Jan 3 at 17:41
  • @Irfan Latif how do i do that, i have never complied any thing for an android OS before. is it like linux ? – Neil Jan 4 at 1:07
  • Yes it's same with gcc, minor differences with Android NDK. Better go far gcc with musl, glibc is problematic with NSS stuff. If custom ROM source is available for your device with Lineage or Omni, you can go for that too. Check relevant site for instructions. But I'll suggest building standalone binary – Irfan Latif Jan 5 at 0:16

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.